Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.messaging
Interface IField

All Superinterfaces:
  Serializable

    public interface IField

extends Serializable

An interface which is used as an abstraction wrapper for entry values in FieldGroup's

Nested Class Summary
`static interface` | `IField.DataType` Datatype interface, used to designate the type of entry value we are representing

Field Summary
`static IField.DataType` | `DATATYPE_BYTES` type byte[]
`static IField.DataType` | `DATATYPE_DOUBLE` type double
`static IField.DataType` | `DATATYPE_INT` type int
`static IField.DataType` | `DATATYPE_LIST` type list container
`static IField.DataType` | `DATATYPE_LONG` type long
`static IField.DataType` | `DATATYPE_NONE` type none
`static IField.DataType` | `DATATYPE_STRING` type string

Method Summary
`IField.DataType` | `getDatatype()` Retrieve the datatype of this field
`String` | `getName()` Retrieves the name of the field
`byte[]` | `getValueBytes()` Get byte value
`double` | `getValueDouble()` Retrieves the double value of the entry
`int` | `getValueInt()` Retrieves the int value of the entry
`IFieldGroupList` | `getValueList()` Retrieves the list value of the entry
`long` | `getValueLong()` Retrieves the long value of the entry
`String` | `getValueString()` Retrieves the string value of the entry
`boolean` | `isNullValue()` Retrieves if the entry is a null value
`void` | `set(IField aField)` Sets the field
`void` | `setName(String aValue)` Sets the name of the entry
`void` | `setValue(double aValue)` Sets the double value
`void` | `setValue(IFieldGroupList aValue)` sets the collection value
`void` | `setValue(int aValue)` sets the int value
`void` | `setValue(long aValue)` Sets the long value
`void` | `setValue(String aValue)` Sets the String value
`void` | `setValueBytes(byte[] aValue)` Set byte value

Field Detail

### DATATYPE_NONE

    static final IField.DataType DATATYPE_NONE

  type none

### DATATYPE_INT

    static final IField.DataType DATATYPE_INT

  type int

### DATATYPE_STRING

    static final IField.DataType DATATYPE_STRING

  type string

### DATATYPE_LIST

    static final IField.DataType DATATYPE_LIST

  type list container

### DATATYPE_DOUBLE

    static final IField.DataType DATATYPE_DOUBLE

  type double

### DATATYPE_LONG

    static final IField.DataType DATATYPE_LONG

  type long

### DATATYPE_BYTES

    static final IField.DataType DATATYPE_BYTES

  type byte[]

Method Detail

### getDatatype

    IField.DataType getDatatype()

  Retrieve the datatype of this field

### getName

    String getName()

  Retrieves the name of the field

### getValueDouble

    double getValueDouble()

  Retrieves the double value of the entry

### getValueInt

    int getValueInt()

  Retrieves the int value of the entry

### getValueList

    IFieldGroupList getValueList()

  Retrieves the list value of the entry

### getValueLong

    long getValueLong()

  Retrieves the long value of the entry

### getValueString

    String getValueString()

  Retrieves the string value of the entry

### isNullValue

    boolean isNullValue()

  Retrieves if the entry is a null value

### set

    void set(IField aField)

  Sets the field

  Parameters:
    `aField` -

### setName

    void setName(String aValue)

  Sets the name of the entry

  Parameters:
    `aValue` -

### setValue

    void setValue(String aValue)

  Sets the String value

  Parameters:
    `aValue` -

### setValue

    void setValue(long aValue)

  Sets the long value

  Parameters:
    `aValue` -

### setValue

    void setValue(int aValue)

  sets the int value

  Parameters:
    `aValue` -

### setValue

    void setValue(double aValue)

  Sets the double value

  Parameters:
    `aValue` -

### setValue

    void setValue(IFieldGroupList aValue)

  sets the collection value

  Parameters:
    `aValue` -

### getValueBytes

    byte[] getValueBytes()

  Get byte value

  Returns:
    bytes

### setValueBytes

    void setValueBytes(byte[] aValue)

  Set byte value

  Parameters:
    `aValue` - byte value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 FXCM, LLC. All Rights Reserved.